Si vous avez eu la bonne idée, comme moi, de prendre les installeurs exécutables[1], surprise : les pages PHP fonctionnent ... tant qu'on n'utilise pas MySQL. Avec un simple mysql_connect, on obtient un Connexion interrompue (Firefox) / Impossible de charger la page (IE) qui nous indique que la communication avec le serveur a été coupée. Et rien dans les logs, ni dans les évènements Windows... \o/

En fait, le problème vient de la librairie libmysql.dll fournie avec MySQL, qui semble ne pas trop aimer Apache et/ou PHP.
La solution consiste simplement à télécharger la version zip de PHP, qui contient toutes les extensions dont un libmysql.dll correct, et de remplacer celui de l'installation de MySQL (dans C:\Windows).

PS: LAMP wins !

Notes

[1] versions : Apache 2.2.11 ; MySQL 5.1 ; PHP 5.2.8